.Widget {
  position: fixed;
  bottom: 10px;
  right: 10px;

  font-family: Arial, Helvetica, sans-serif;
}

.WidgetButton {
  width: 50px;
  height: 50px;

  border-radius: 25px;
  border: none;

  background: rgb(240, 250, 0);
  background: linear-gradient(
    135deg,
    rgba(240, 250, 0, 1) 0%,
    rgba(8, 145, 31, 1) 35%,
    rgba(0, 212, 255, 1) 100%
  );
  box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px;
}

.WidgetButton > .IconButton {
  width: 100%;
}

.WidgetContent {
  max-width: 700px;
  min-width: 340px;
  width: calc(100vw - 20px);

  min-height: 480px;
  max-height: 800px;
  height: calc(100vh - 20px);

  display: flex;
  flex-direction: column;
  justify-content: space-between;

  border: 1px solid #d1cbcd;
  border-radius: 15px;
  box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px;
}

.WidgetHeader {
  max-height: 50px;
  height: 6.25%;

  border-radius: inherit;
}

.WidgetMessagesAndInput {
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  /* 750px if widget height 800px */
  height: 93.75%;

  background: rgb(240, 250, 0);
  background: linear-gradient(
    135deg,
    rgba(240, 250, 0, 1) 0%,
    rgba(8, 145, 31, 1) 35%,
    rgba(0, 212, 255, 1) 100%
  );

  border-radius: 0 0 15px 15px;
}
